Rootwrap error with cinder-volume

Bug #1380425 reported by Matt Kassawara on 2014-10-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cinder (Ubuntu)
High
James Page

Bug Description

The cinder-volume service (2014.2~rc2-0ubuntu1~cloud0) generates the following rootwrap error in the cinder-volume.log file:

2014-10-12 23:10:12.463 12082 INFO cinder.openstack.common.service [-] Starting
2014-10-12 23:10:12.463 12082 INFO cinder.openstack.common.service [-] Starting 1 workers
2014-10-12 23:10:12.465 12082 INFO cinder.openstack.common.service [-] Started child 12123
2014-10-12 23:10:12.468 12123 INFO cinder.service [-] Starting cinder-volume node (version 2014.2)
2014-10-12 23:10:12.470 12123 INFO cinder.volume.manager [req-0d64c7d5-8ae3-4afb-bd20-28308aa28b7b - - - - -] Starting volume driver LVMISCSIDriver (2.0.0)
2014-10-12 23:10:12.529 12123 ERROR cinder.volume.manager [req-0d64c7d5-8ae3-4afb-bd20-28308aa28b7b - - - - -] Error encountered during initialization of driver: LVMISCSIDriver
2014-10-12 23:10:12.529 12123 ERROR cinder.volume.manager [req-0d64c7d5-8ae3-4afb-bd20-28308aa28b7b - - - - -] Unexpected error while running command.
Command: sudo cinder-rootwrap /etc/cinder/rootwrap.conf env LC_ALL=C vgs --noheadings -o name cinder-volumes
Exit code: 1
Stdout: u''
Stderr: u'sudo: no tty present and no askpass program specified\n'

Adding a "*" to the following line in the "/etc/sudoers.d/cinder_sudoers" file resolves the issue:

cinder ALL = (root) NOPASSWD: /usr/bin/cinder-rootwrap /etc/cinder/rootwrap.conf

For example:

cinder ALL = (root) NOPASSWD: /usr/bin/cinder-rootwrap /etc/cinder/rootwrap.conf *

Other services contain this "*" in their rootwrap configuration files.

James Page (james-page) on 2014-10-15
Changed in cinder (Ubuntu):
importance: Undecided → High
status: New → In Progress
assignee: nobody → James Page (james-page)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.2~rc2-0ubuntu2

---------------
cinder (1:2014.2~rc2-0ubuntu2) utopic; urgency=medium

  * d/control: Add missing Depends on qemu-utils to cinder-volume
    (LP: #1381395).
  * d/cinder_sudoers: Add missing trailing *, resolving issues running
    commands using rootwrap (LP: #1380425).
 -- James Page <email address hidden> Wed, 15 Oct 2014 10:15:38 +0100

Changed in cinder (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers